Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79183 - XFree86-devel should require fontconfig-devel
Summary: XFree86-devel should require fontconfig-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-06 21:24 UTC by Jim Radford
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-08 15:18:24 UTC


Attachments (Terms of Use)

Description Jim Radford 2002-12-06 21:24:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Steps to Reproduce:

 pkg-config --libs xft

should say that it can't find dependency fontconfig which is in fontconfig-devel.

Comment 1 Mike A. Harris 2002-12-08 12:46:16 UTC
I don't really see the problem.  If you're linking just with Xft, then
your app isn't using fontconfig directly.  If you are using fontconfig
directly, then your app should BuildRequires: fontconfig-devel

Owen, comment?

Comment 2 Owen Taylor 2002-12-08 15:18:16 UTC
You definitely want this Requires: ... Xft.h includes fontconfig.h, so 
even if you never use a single constant from fontconfig.h you
need the fontconfig-devel package.




Comment 3 Mike A. Harris 2002-12-11 18:16:31 UTC
Verified.  There was a Requires "fontconfig" there, I've changed it to
fontconfig-devel now, which has a dep on fontconfig.

Fixed in 20021210.1 in rawhide



Note You need to log in before you can comment on or make changes to this bug.